<?php
//Primer control en recibir el focus
$SYS_FOC="Foto";
//
$Act=V($_POST['Act']);
$StrCmd=V($_POST['TxtAc']);
$Foto = V($_FILES['Foto']['name']);
//
if($StrCmd=="IMPORTAR_LISTA"){
	$FILE_NAME=strtoupper($Foto);
	if($FILE_NAME=="LISTA.XLSX" || 
	   $FILE_NAME=="CUOTAS.XLSX" ){
		//++
		if($FILE_NAME=="LISTA.XLSX"){
			$StrFN="listas/lista.xlsx";
			DELETE_FILE($StrFN);			
			if(move_uploaded_file($_FILES['Foto']['tmp_name'],$StrFN)){ 
				if(file_exists($StrFN)){					
					$DAT=XLSX_LISTA($Act);		
					if($DAT=="ERROR"){
						$SYS_MSG="ERROR. ERROR. ERROR. ERROR. ERROR.  La estructura del archivo ha cambiado, por lo tanto no se puede procesar";
						$SYS_FOC="Foto";
					}else{
						$SYS_MSG="El archivo ha sido procesado correctamente";
						$SYS_FOC="Foto";
					}
				}else{
					$SYS_MSG="Error 01";
					$SYS_FOC="Foto";
				}
			}else{ 
				$SYS_MSG="Error al subir el archivo lista.xlsx";
				$SYS_FOC="Foto";
			} 
		}
		//++
		if($FILE_NAME=="CUOTAS.XLSX"){
			$StrFN="listas/cuotas.xlsx";
			DELETE_FILE($StrFN);			
			if(move_uploaded_file($_FILES['Foto']['tmp_name'],$StrFN)){ 
				if(file_exists($StrFN)){					
					$DAT=XLSX_LISTA_COUTAS($Act);		
					if($DAT=="ERROR"){
						$SYS_MSG="ERROR. ERROR. ERROR. ERROR. ERROR.  La estructura del archivo ha cambiado, por lo tanto no se puede procesar";
						$SYS_FOC="Foto";
					}else{
						$SYS_MSG="El archivo ha sido procesado correctamente";
						$SYS_FOC="Foto";
					}
				}else{
					$SYS_MSG="Error 01";
					$SYS_FOC="Foto";
				}
			}else{ 
				$SYS_MSG="Error al subir el archivo lista.xlsx";
				$SYS_FOC="Foto";
			} 
		}
	}else{
		$SYS_MSG="El nombre del nombre del archivo debe ser lista.xlsx o cuotas.xlsx";
		$SYS_FOC="Foto";
	}
}
?>
